Detect site errors
Status: Closed Start date: 29 Aug 2011

Priority: Major Due date: 04 Sep 2011

Assignee: Andriy Lesyuk % Done: 100%

Category: Redmine plugin idea Estimated time: 0.00 hour

Target version:    

Description

There should be a way to send email when an error occurs on site... It’s too complicated to check logs all the time and it’s very easy

to miss some errors.

History

#1 - 30 Aug 2011 15:59 - Andriy Lesyuk

Link on the topic: http://codesnippets.joyent.com/posts/show/75

#2 - 30 Aug 2011 16:02 - Andriy Lesyuk

- Category set to Redmine plugin idea

Hm... Actually it can be an idea for a new plugin... Saying on exception Redmine writes it to database (special table). Then such errors are shown in

administration panel. The :show action can also provide a reporting facility (if exception happened in plugin it can suggest sending it to plugin’s

author, if it happened in core - to Jean-Philippe ).

#3 - 30 Aug 2011 16:45 - Andriy Lesyuk

- Status changed from Open to In Progress

- % Done changed from 0 to 40

Not a new idea:

http://www.redmine.org/projects/redmine/wiki/PluginExceptionHandler

https://github.com/edavis10/redmine-exception-handler-plugin

So just need to install this...

#4 - 04 Sep 2011 20:07 - Andriy Lesyuk

- Due date set to 04 Sep 2011

- Status changed from In Progress to Closed

- % Done changed from 40 to 100
